
QGIS Application - Feature request #20066

Implement tool to load INSPIRE GML datasets

2018-10-10 11:13 AM - Noel Suárez González

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 27888

Description

some GML files can not be loaded correctly in QGIS 3.2.3 in macOS

History

#1 - 2018-10-10 11:30 AM - Noel Suárez González

- File Captura de pantalla 2018-10-10 a las 11.29.14.png added

- File Captura de pantalla 2018-10-10 a las 11.30.27.png added

Capture of diferente files

#2 - 2018-10-10 12:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

please add a link (or attach one of those files).

Anyway, if the GML are in the (complex) INSPIRE data model you will need to load them using specific extensions, like 

http://plugins.qgis.org/plugins/gml_application_schema_toolbox/

#3 - 2018-10-10 01:07 PM - Noel Suárez González

- File GML_Parcelas.gml added

#4 - 2018-10-10 01:08 PM - Noel Suárez González

- File A.ES.SDGC.CP.33013.cadastralzoning.gml added

#5 - 2018-10-10 01:26 PM - Giovanni Manghi

- Subject changed from Qgis 3.3.2 can't properly load gml spanish inspire files to Qgis can't properly load gml INSPIRE files

- Category changed from Data Provider to Vectors

- File VirtualBox_windows_7_10_10_2018_12_24_44.png added

See attached image:

as I suspected the GML in the complex INSPIRE data model. You need to use a plugin that allows you to see the data. The one I suggested above does

not seems to work (I get a Python error on importing the data) while the "GML loader" one works, but at the moment it seems only for QGIS 2.*.

I think that this ticket should be closed, or eventually changed to feature request.
http://plugins.qgis.org/plugins/gml_application_schema_toolbox/


#6 - 2018-10-11 09:59 PM - Saber Razmjooei

You need to convert it using ogr2ogr (v 2.2) and a template, which with a quick googling I found out to be 

https://inspire.ec.europa.eu/schemas/cp/3.0/CadastralParcels.xsd

So, the ogr2ogr command to convert it to a geopackage based on the above schema:

ogr2ogr -f GPKG A.ES.SDGC.CP.33013.cadastralzoning.gpkg GMLAS:A.ES.SDGC.CP.33013.cadastralzoning.gml -oo

XSD:https://inspire.ec.europa.eu/schemas/cp/3.0/CadastralParcels.xsd

#7 - 2018-10-11 10:00 PM - Saber Razmjooei

- File A.ES.SDGC.CP.33013.cadastralzoning.gpkg added

You need to convert it using ogr2ogr (v 2.2) and a template, which with a quick googling I found out to be 

https://inspire.ec.europa.eu/schemas/cp/3.0/CadastralParcels.xsd

So, the ogr2ogr command to convert it to a geopackage based on the above schema:

ogr2ogr -f GPKG A.ES.SDGC.CP.33013.cadastralzoning.gpkg GMLAS:A.ES.SDGC.CP.33013.cadastralzoning.gml -oo

XSD:https://inspire.ec.europa.eu/schemas/cp/3.0/CadastralParcels.xsd

See the attached gpkg file for the result.

#8 - 2018-10-12 11:06 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

- Subject changed from Qgis can't properly load gml INSPIRE files to Implement tool to load INSPIRE GML datasets

Files

Captura de pantalla 2018-10-10 a las 11.09.11.png 298 KB 2018-10-10 Noel Suárez González

Captura de pantalla 2018-10-10 a las 11.10.35.png 88.4 KB 2018-10-10 Noel Suárez González

Captura de pantalla 2018-10-10 a las 11.29.14.png 1.01 MB 2018-10-10 Noel Suárez González

Captura de pantalla 2018-10-10 a las 11.30.27.png 1.71 MB 2018-10-10 Noel Suárez González

GML_Parcelas.gml 2.91 KB 2018-10-10 Noel Suárez González

A.ES.SDGC.CP.33013.cadastralzoning.gml 533 KB 2018-10-10 Noel Suárez González

VirtualBox_windows_7_10_10_2018_12_24_44.png 175 KB 2018-10-10 Giovanni Manghi

A.ES.SDGC.CP.33013.cadastralzoning.gpkg 784 KB 2018-10-11 Saber Razmjooei
